package example;

import java.io.File;

import to.uploaded.Uploaded;
import to.uploaded.exception.DownloadFailedException;
import to.uploaded.exception.LoginFailedException;
import to.uploaded.file.UPDownload;

public class DownloadFileExample {

	/**
	 * @param args
	 * @throws LoginFailedException 
	 */
	public static void main(String[] args) throws LoginFailedException {
		
		Uploaded up = new Uploaded("User-ID", "User-PW");
		
		UPDownload upDownload = up.factoryDownload("D:/test/", "File-Id");
		
		if(upDownload.isFileAvailable())
		{
			System.out.println("Datei vorhanden");
		}
		else
		{
			System.out.println("Datei ist nicht mehr vorhanden");
		}
		
		try {
			upDownload.start();
		} catch (DownloadFailedException e) {
			e.printStackTrace();
		}
		
		File file = upDownload.getFile();

	}

}
