//    Uploaded.to API - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package to.uploaded.file;

import java.util.ArrayList;
import java.util.EventListener;
import java.util.Iterator;
import java.util.List;

import to.uploaded.file.UPUpload.UPUploadProgress;


public class UPEventListener implements EventListener {

	private List<UPUploadProgress> listener = new ArrayList<UPUpload.UPUploadProgress>();
	
	public void addUPUploadProgressListener(UPUploadProgress uploadProgress)
	{
		listener.add(uploadProgress);
	}
	
	protected void notifyListeners(UPUpload upUpload)
	{
		for(Iterator<UPUploadProgress> intIterator = listener.iterator(); intIterator.hasNext();)
		{
			intIterator.next().progress(upUpload);
		}
	}
}
